import React, { Component } from 'react';
//import PropTypes from 'prop-types';
import { connect } from 'react-redux';
//import { loadParams } from '../../actions/appActions';
import { Link } from 'react-router-dom';
import { withRouter } from "react-router";
import { Layout } from 'antd';
import 'antd/dist/antd.css';

const { Header } = Layout;

const styles = {
  logo: {
    float: 'left',
    color: 'white',
    fontSize: '1.4em',
    marginRight: 30,
    fontFamily: 'Helvetica'
  },

  logoImage: {
    float: 'left',
    color: 'white',
    marginRight: 30,
    marginTop: 7,
    height: 50,
    width: 50
  },

  hiddenShowId: {
    color: '#3399cc'
  }
}

class AppHeader extends Component {

  reloadParams = () => {
    this.props.loadParams();
  };

  render() {

    return (
      <Header style={{ position: 'fixed', zIndex: 1, width: '100%', background: '#3399cc' }}>
        <div style={styles.logo}>
          <img style={styles.logoImage} src='images/logo.jpg' alt='' />
          <Link style={styles.logo} to="/">Quarantale</Link>
        </div>
      </Header>
    )
  }
};

AppHeader.propTypes = {
//  loadParams: PropTypes.func.isRequired,
//  params: PropTypes.array
};

const mapStateToProps = state => ({
//  params: state.appData.params,
//  paramsLoadError: state.appData.paramsLoadError
});

export default withRouter(connect(mapStateToProps, { })(AppHeader));
